## chromium 97.0.4692.71

=== debian/changelog ===
chromium (97.0.4692.71-0.1~deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload.
  * Stop building chromium's bunded gn and instead build-dep on generate-ninja.
  * Drop numerous patches related to gcc building, since we just build w/ clang.
  * Use python3 as default instead of relying on python2
    (closes: #942962, #996375).
  * Enable the ozone backend in the build (closes: #955540).
  * Automatically detect & enable Wayland support when launching chromium
    (closes: #861796).
  * Rename crashpad_handler to chrome_crashpad_handler.
  * No longer hardcode desktop GL implementation as default - it causes
    the chromium compositor's draw buffer to fill up & crash on my system.
  * Enable official builds.
  * New upstream stable release (closes: #995212).
    - CVE-2022-0096: Use after free in Storage. Reported by Yangkang
      (@dnpushme) of 360 ATA
    - CVE-2022-0097: Inappropriate implementation in DevTools. Reported by
      David Erceg
    - CVE-2022-0098: Use after free in Screen Capture. Reported by
      @ginggilBesel
    - CVE-2022-0099: Use after free in Sign-in. Reported by Rox
    - CVE-2022-0100: Heap buffer overflow in Media streams API. Reported by
      Cassidy Kim of Amber Security Lab, OPPO Mobile Telecommunications
      Corp. Ltd.
    - CVE-2022-0101: Heap buffer overflow in Bookmarks. Reported by raven
      (@raid_akame)
    - CVE-2022-0102: Type Confusion in V8. Reported by Brendon Tiszka
    - CVE-2022-0103: Use after free in SwiftShader. Reported by Abraruddin
      Khan and Omair
    - CVE-2022-0104: Heap buffer overflow in ANGLE. Reported by Abraruddin
      Khan and Omair
    - CVE-2022-0105: Use after free in PDF. Reported by Cassidy Kim of Amber
      Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2022-0106: Use after free in Autofill. Reported by Khalil Zhani
    - CVE-2022-0107: Use after free in File Manager API. Reported by raven
      (@raid_akame)
    - CVE-2022-0108: Inappropriate implementation in Navigation. Reported by
      Luan Herrera (@lbherrera_)
    - CVE-2022-0109: Inappropriate implementation in Autofill. Reported by
      Young Min Kim (@ylemkimon), CompSec Lab at Seoul National University
    - CVE-2022-0110: Incorrect security UI in Autofill. Reported by
      Alesandro Ortiz
    - CVE-2022-0111: Inappropriate implementation in Navigation. Reported by
      garygreen
    - CVE-2022-0112: Incorrect security UI in Browser UI. Reported by Thomas
      Orlita
    - CVE-2022-0113: Inappropriate implementation in Blink. Reported by Luan
      Herrera (@lbherrera_)
    - CVE-2022-0114: Out of bounds memory access in Web Serial. Reported by
      Looben Yang
    - CVE-2022-0115: Uninitialized Use in File API. Reported by Mark Brand
      of Google Project Zero
    - CVE-2022-0116: Inappropriate implementation in Compositing. Reported
      by Irvan Kurniawan (sourc7)
    - CVE-2022-0117: Policy bypass in Service Workers. Reported by
      Dongsung Kim (@kid1ng)
    - CVE-2022-0118: Inappropriate implementation in WebShare. Reported by
      Alesandro Ortiz
    - CVE-2022-0120: Inappropriate implementation in Passwords. Reported by
      CHAKRAVARTHI (Ruler96)
    (96.0.4664.110)
    - CVE-2021-4098: Insufficient data validation in Mojo. Reported by
      Sergei Glazunov of Google Project Zero
    - CVE-2021-4099: Use after free in Swiftshader. Reported by Aki Helin
      of Solita
    - CVE-2021-4100: Object lifecycle issue in ANGLE. Reported by Aki Helin
      of Solita
    - CVE-2021-4101: Heap buffer overflow in Swiftshader. Reported by
      Abraruddin Khan and Omair
    - CVE-2021-4102: Use after free in V8. Reported by Anonymous
    (96.0.4664.93)
    - CVE-2021-4052: Use after free in web apps. Reported by Wei Yuan of
      MoyunSec VLab
    - CVE-2021-4053: Use after free in UI. Reported by Rox
    - CVE-2021-4079: Out of bounds write in WebRTC. Reported by Brendon
      Tiszka
    - CVE-2021-4054: Incorrect security UI in autofill. Reported by
      Alesandro Ortiz
    - CVE-2021-4078: Type confusion in V8. Reported by Nan
      Wang(@eternalsakura13) and Guang Gong of 360 Alpha Lab
    - CVE-2021-4055: Heap buffer overflow in extensions. Reported by Chen
      Rong
    - CVE-2021-4056: Type Confusion in loader. Reported by @__R0ng of 360
      Alpha Lab
    - CVE-2021-4057: Use after free in file API. Reported by Sergei
      Glazunov of Google Project Zero
    - CVE-2021-4058: Heap buffer overflow in ANGLE. Reported by Abraruddin
      Khan and Omair
    - CVE-2021-4059: Insufficient data validation in loader. Reported by
      Luan Herrera (@lbherrera_)
    - CVE-2021-4061: Type Confusion in V8. Reported by Paolo Severini
    - CVE-2021-4062: Heap buffer overflow in BFCache. Reported by Leecraso
      and Guang Gong of 360 Alpha Lab
    - CVE-2021-4063: Use after free in developer tools. Reported by
      Abdulrahman Alqabandi, Microsoft Browser Vulnerability Research
    - CVE-2021-4064: Use after free in screen capture. Reported by
      @ginggilBesel
    - CVE-2021-4065: Use after free in autofill. Reported by 5n1p3r0010
      from Topsec ChiXiao Lab
    - CVE-2021-4066: Integer underflow in ANGLE. Reported by Jaehun
      Jeong(@n3sk) of Theori
    - CVE-2021-4067: Use after free in window manager. Reported by
      @ginggilBesel
    - CVE-2021-4068: Insufficient validation of untrusted input in new tab
      page. Reported by NDevTK
    (96.0.4664.45)
    - CVE-2021-38008: Use after free in media. Reported by Marcin Towalski
    - CVE-2021-38009: Inappropriate implementation in cache.
      Reported by Luan Herrera (@lbherrera_)
    - CVE-2021-38006: Use after free in storage foundation.
      Reported by Sergei Glazunov of Google Project Zero
    - CVE-2021-38007: Type Confusion in V8. Reported by Polaris Feng and
      SGFvamll at Singular Security Lab
    - CVE-2021-38005: Use after free in loader.
      Reported by Sergei Glazunov of Google Project Zero

