=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: web
 Priority: optional
 Maintainer: Debian Chromium Team <chromium@packages.debian.org>
-Uploaders: Michael Gilbert <mgilbert@debian.org>, Riku Voipio <riku.voipio@linaro.org>
+Uploaders: Michael Gilbert <mgilbert@debian.org>,
+ Riku Voipio <riku.voipio@linaro.org>,
+ Michel Le Bihan <michel@lebihan.pl>
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
 Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
 Homepage: http://www.chromium.org/Home
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper (>= 11),
@@ -17,9 +19,10 @@
  python3,
  pkg-config,
  ninja-build,
- python-jinja2,
- python-pkg-resources,
+ python3-jinja2,
+ python3-pkg-resources,
  ca-certificates,
+ elfutils,
  wget,
  flex,
  yasm,
@@ -28,15 +31,26 @@
  gperf,
  bison,
  nodejs,
+ node-typescript,
+ uglifyjs.terser,
+ rollup,
+ node-babel7,
+ node-has-ansi,
+ node-stable,
+ node-jsdom,
+ node-is-windows,
  valgrind,
  xz-utils,
  x11-apps,
+ xcb-proto,
  xfonts-base,
- libglewmx-dev,
+ libx11-xcb-dev,
+ libxshmfence-dev,
  libgl1-mesa-dev,
  libglu1-mesa-dev,
  libegl1-mesa-dev,
  libgles2-mesa-dev,
+ generate-ninja,
  mesa-common-dev,
  libva-dev,
  libxt-dev,
@@ -45,7 +59,6 @@
  libpng-dev,
  libxss-dev,
  libelf-dev,
- libvpx-dev (>= 1.7.0),
  libpci-dev,
  libcap-dev,
  libdrm-dev,
@@ -65,10 +78,8 @@
  liblcms2-dev,
  libpulse-dev,
  libpam0g-dev,
+ libbrotli-dev,
  libsnappy-dev,
- libavutil-dev,
- libavcodec-dev (>= 7:3.0),
- libavformat-dev,
  libglib2.0-dev,
  libasound2-dev,
  libjsoncpp-dev,
@@ -76,6 +87,7 @@
  libminizip-dev,
  libhunspell-dev,
  libharfbuzz-dev (>= 2.1.1),
+ libxcb-dri3-dev,
  libusb-1.0-0-dev,
  libopenjp2-7-dev,
  libmodpbase64-dev,
@@ -83,14 +95,14 @@
  libnspr4-dev (>= 2:4.9),
  libcups2-dev (>= 1.5.0),
  libevent-dev (>= 1.4.13),
- libjs-jquery,
- libjs-jquery-flot,
  libgcrypt20-dev,
+ libcurl4-openssl-dev,
  fonts-ipafont-gothic,
  fonts-ipafont-mincho,
 
 Package: chromium
 Architecture: i386 amd64 arm64 armhf
+Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -176,6 +188,7 @@
  chromium-sandbox,
  fonts-liberation,
  notification-daemon,
+ system-config-printer,
 Breaks:
  chromium (<< ${binary:Version}),
 Replaces:
