## chromium 98.0.4758.102

=== debian/changelog ===
chromium (98.0.4758.102-1~deb11u1) bullseye-security; urgency=high

  * Enable pipewire support in webrtc (closes: #954824).
  * Enable optimize_webui. This UI speed improvement was originally
    disabled due to nodejs deps, but recent upstream changes makes those
    deps necessary either way (closes: #970571).
  * Switch to using bundled node modules, to deal with (frequent) build
    failures (closes: #1005466).
  * Manually depend on xdg-desktop-portal-* packages. The file saving
    dialog needs a UI toolkit (closes: #1005230).
  * New upstream security release.
    - CVE-2022-0603: Use after free in File Manager.
      Reported by Chaoyuan Peng (@ret2happy).
    - CVE-2022-0604: Heap buffer overflow in Tab Groups. Reported by Krace.
    - CVE-2022-0605: Use after free in Webstore API.
      Reported by Thomas Orlita.
    - CVE-2022-0606: Use after free in ANGLE.
    - CVE-2022-0606: Use after free in ANGLE. Reported by Cassidy Kim of
      Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2022-0607: Use after free in GPU. Reported by 0x74960.
    - CVE-2022-0608: Integer overflow in Mojo.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-0609: Use after free in Animation. Reported by
      Adam Weidemann and Clément Lecigne of Google's Threat Analysis Group.
    - CVE-2022-0610: Inappropriate implementation in Gamepad API.
      Reported by Anonymous.

 -- Andres Salomon <dilinger@debian.org>  Tue, 15 Feb 2022 20:15:03 -0500

chromium (98.0.4758.80-1~deb11u1) bullseye-security; urgency=high

  * Update manpage for package rename and everyone moving to https.
  * Drop libnpsr4-dev versioned dep.
  * Drop a bunch of patches (changes shouldn't affect chromium users).
    See https://salsa.debian.org/chromium-team/chromium/-/commits/master/
    for the dropped patches.
  * New upstream stable release.
    - CVE-2022-0452: Use after free in Safe Browsing.
      Reported by avaue at S.S.L.
    - CVE-2022-0453: Use after free in Reader Mode.
      Reported by Rong Jian of VRI.
    - CVE-2022-0454: Heap buffer overflow in ANGLE.
      Reported by Seong-Hwan Park (SeHwa).
    - CVE-2022-0455: Inappropriate implementation in Full Screen Mode.
      Reported by Irvan Kurniawan (sourc7).
    - CVE-2022-0456: Use after free in Web Search.
      Reported by Zhihua Yao of KunLun Lab.
    - CVE-2022-0457: Type Confusion in V8. Reported by rax of the Group0x58.
    - CVE-2022-0458: Use after free in Thumbnail Tab Strip.
      Reported by Anonymous.
    - CVE-2022-0459: Use after free in Screen Capture.
      Reported by raven (@raid_akame).
    - CVE-2022-0460: Use after free in Window Dialog. Reported by 0x74960.
    - CVE-2022-0461: Policy bypass in COOP. Reported by NDevTK.
    - CVE-2022-0462: Inappropriate implementation in Scroll.
      Reported by Youssef Sammouda.
    - CVE-2022-0463: Use after free in Accessibility.
      Reported by Zhihua Yao of KunLun Lab.
    - CVE-2022-0464: Use after free in Accessibility.
      Reported by Zhihua Yao of KunLun Lab.
    - CVE-2022-0465: Use after free in Extensions.
      Reported by Samet Bekmezci @sametbekmezci.
    - CVE-2022-0466: Inappropriate implementation in Extensions Platform.
      Reported by David Erceg.
    - CVE-2022-0467: Inappropriate implementation in Pointer Lock.
      Reported by Alesandro Ortiz.
    - CVE-2022-0468: Use after free in Payments. Reported by Krace.
    - CVE-2022-0469: Use after free in Cast. Reported by Thomas Orlita.
    - CVE-2022-0470: Out of bounds memory access in V8. Reported by Looben Yang.

 -- Andres Salomon <dilinger@debian.org>  Sat, 05 Feb 2022 20:18:00 -0500
