=== debian/control ===
--- 
+++ 
@@ -32,14 +32,6 @@
  gperf,
  bison,
  nodejs,
- node-typescript,
- uglifyjs.terser,
- rollup,
- node-babel7,
- node-has-ansi,
- node-stable,
- node-jsdom,
- node-is-windows,
  valgrind,
  xz-utils,
  x11-apps,
@@ -69,6 +61,7 @@
  libexif-dev,
  libflac-dev,
  libudev-dev,
+ libpipewire-0.3-dev,
  libopus-dev,
  libwebp-dev,
  libxtst-dev,
@@ -93,7 +86,7 @@
  libopenjp2-7-dev,
  libmodpbase64-dev,
  libnss3-dev (>= 3.12.3),
- libnspr4-dev (>= 2:4.9),
+ libnspr4-dev,
  libcups2-dev (>= 1.5.0),
  libevent-dev (>= 1.4.13),
  libgcrypt20-dev,
@@ -107,6 +100,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ xdg-desktop-portal-gtk | xdg-desktop-portal-backend,
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
