=== debian/rules ===
--- 
+++ 
@@ -75,8 +75,8 @@
          enable_one_click_signin=false \
          enable_iterator_debugging=false \
          enable_hangout_services_extension=false \
-         optimize_webui=false \
          angle_has_histograms=false \
+         build_angle_perftests=false \
          enable_js_type_check=false \
          treat_warnings_as_errors=false \
          is_cfi=false \
@@ -89,6 +89,7 @@
          symbol_level=0 \
          use_pulseaudio=true \
          link_pulseaudio=true \
+         rtc_use_pipewire=true \
          enable_widevine=true \
          v8_enable_backtrace=true \
          use_system_zlib=true \
@@ -113,6 +114,9 @@
 	dh $@
 
 override_dh_auto_configure:
+	# use system node w/out patching source; upstream hardcodes x64 in path
+	mkdir -p third_party/node/linux/node-linux-x64/bin
+	cp /usr/bin/node third_party/node/linux/node-linux-x64/bin
 	# output compiler information
 	$(CXX) --version
 	# prefer unbundled (system) libraries
@@ -146,6 +150,7 @@
 	dh_fixperms --exclude chrome-sandbox
 
 override_dh_auto_clean:
+	rm -rf third_party/node/linux/node-linux-x64
 	rm -rf out
 	find . -name \*.pyc -execdir rm -f {} \;
 	dh_auto_clean
