=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
  libgles2-mesa-dev,
  generate-ninja,
  mesa-common-dev,
+ rapidjson-dev,
  libva-dev,
  libxt-dev,
  libre2-dev,
@@ -80,7 +81,6 @@
  libspeechd-dev (>= 0.8.4),
  libminizip-dev,
  libhunspell-dev,
- libharfbuzz-dev (>= 2.1.1),
  libxcb-dri3-dev,
  libusb-1.0-0-dev,
  libopenjp2-7-dev,
