=== debian/rules ===
--- 
+++ 
@@ -97,7 +97,6 @@
          use_system_libjpeg=true \
          use_system_libpng=true \
          use_system_freetype=true \
-         use_system_harfbuzz=true \
          use_system_libopenjpeg2=true \
          concurrent_links=1 \
          proprietary_codecs=true \
