## chromium 99.0.4844.74

=== debian/changelog ===
chromium (99.0.4844.74-1~deb11u1) bullseye-security; urgency=high

  * New upstream security release.
    - CVE-2022-0971: Use after free in Blink Layout.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-0972: Use after free in Extensions.
      Reported by Sergei Glazunov of Google Project Zero.
    - CVE-2022-0973: Use after free in Safe Browsing.
      Reported by avaue and Buff3tts at S.S.L.
    - CVE-2022-0974 : Use after free in Splitscreen.
      Reported by @ginggilBesel.
    - CVE-2022-0975: Use after free in ANGLE.
      Reported by SeongHwan Park (SeHwa).
    - CVE-2022-0976: Heap buffer overflow in GPU. Reported by Omair.
    - CVE-2022-0977: Use after free in Browser UI. Reported by Khalil Zhani.
    - CVE-2022-0978: Use after free in ANGLE. Reported by Cassidy Kim of
      Amber Security Lab, OPPO Mobile Telecommunications Corp. Ltd.
    - CVE-2022-0979: Use after free in Safe Browsing. Reported by anonymous.
    - CVE-2022-0980: Use after free in New Tab Page. Reported by Krace.

 -- Andres Salomon <dilinger@debian.org>  Wed, 16 Mar 2022 13:51:21 -0500

chromium (99.0.4844.51-2) unstable; urgency=medium

  * Change dependency on xdg-desktop-portal-* packages to be
    libgtk-3-0|xdg-desktop-portal-backend. Some folks don't want all
    the dependencies of the xdg portal packages, and chromium really just
    requires gtk unless runnning under KDE (closes: #1006267).
  * Disable fieldtrial testing config to fix some sandboxing issues. We
    used to do this, but the config flag was renamed (closes: #1003622).
  * Adjust patches:
    + system/zlib.patch: drop part of it that is unnecessary.

 -- Andres Salomon <dilinger@debian.org>  Sun, 06 Mar 2022 12:46:55 -0500
