## chromium 99.0.4844.84

=== debian/changelog ===
chromium (99.0.4844.84-1~deb11u1) bullseye-security; urgency=high

  * New upstream security ("just *ONE* security hole, that's it?!") release.
    - CVE-2022-1096: Type Confusion in V8. Reported by anonymous.

 -- Andres Salomon <dilinger@debian.org>  Sat, 26 Mar 2022 13:24:59 -0500
